package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "验货单主表",
   description = "验货单主表"
)
public class DrpDeliveryGoods {
   @ApiModelProperty("验货单号")
   @TableId
   private String deliveryGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("关联采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("送货总金额")
   private Long supplierGoodsAmount;
   @ApiModelProperty("送货人")
   private Long deliveryId;
   @ApiModelProperty("送货人")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   private String deliveryPhone;
   @ApiModelProperty("送货地址")
   private String deliveryAddress;
   @ApiModelProperty("送货仓库id")
   private Long deliveryWarehouseId;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("送货总数量")
   private BigDecimal deliveryTotalNum;
   @ApiModelProperty("验货总数量")
   private BigDecimal inspectTotalNum;
   @ApiModelProperty("所属食堂id")
   private Long canteenId;
   @ApiModelProperty("所属档口id")
   private Long stallId;

   public String getDeliveryGoodsId() {
      return this.deliveryGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Long getSupplierGoodsAmount() {
      return this.supplierGoodsAmount;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public String getDeliveryAddress() {
      return this.deliveryAddress;
   }

   public Long getDeliveryWarehouseId() {
      return this.deliveryWarehouseId;
   }

   public BigDecimal getDeliveryTotalNum() {
      return this.deliveryTotalNum;
   }

   public BigDecimal getInspectTotalNum() {
      return this.inspectTotalNum;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public DrpDeliveryGoods setDeliveryGoodsId(final String deliveryGoodsId) {
      this.deliveryGoodsId = deliveryGoodsId;
      return this;
   }

   public DrpDeliveryGoods setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpDeliveryGoods setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpDeliveryGoods setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
      return this;
   }

   public DrpDeliveryGoods setSupplierGoodsAmount(final Long supplierGoodsAmount) {
      this.supplierGoodsAmount = supplierGoodsAmount;
      return this;
   }

   public DrpDeliveryGoods setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
      return this;
   }

   public DrpDeliveryGoods setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
      return this;
   }

   public DrpDeliveryGoods setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
      return this;
   }

   public DrpDeliveryGoods setDeliveryAddress(final String deliveryAddress) {
      this.deliveryAddress = deliveryAddress;
      return this;
   }

   public DrpDeliveryGoods setDeliveryWarehouseId(final Long deliveryWarehouseId) {
      this.deliveryWarehouseId = deliveryWarehouseId;
      return this;
   }

   public DrpDeliveryGoods setDeliveryTotalNum(final BigDecimal deliveryTotalNum) {
      this.deliveryTotalNum = deliveryTotalNum;
      return this;
   }

   public DrpDeliveryGoods setInspectTotalNum(final BigDecimal inspectTotalNum) {
      this.inspectTotalNum = inspectTotalNum;
      return this;
   }

   public DrpDeliveryGoods setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DrpDeliveryGoods setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpDeliveryGoods setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpDeliveryGoods setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpDeliveryGoods setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpDeliveryGoods setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
